Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.table
Interface ColumnGroup

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Name, java.io.Serializable

public interface ColumnGroup
extends Name

`ColumnGroup` contains information about a group of columns. Each column group has a name, a type, a fixed set of members. Each column group member has a member type. An example of a column group is a DMS PhaseEvent sensor that contains a group of related metrics.

Since:
  Oracle Application Server 10g (10.1.3)

Method Summary
`boolean` | `containsMember(java.lang.String name)` Returns `true` if this `ColumnGroup` contains the given member.
`java.util.Enumeration` | `enumerateMemberNames(boolean sorted)` Enumerates the names of the members in this `ColumnGroup`.
`java.lang.String` | `getDescription()` Gets the description of this `ColumnGroup`.
`java.lang.String[]` | `getMemberNames()` Returns an array of member names in this `ColumnGroup`.
`java.lang.String` | `getMemberType(java.lang.String name)` Gets the type of the given memeber.
`java.lang.String` | `getType()` Gets the type of this `ColumnGroup`.
`int` | `memberCount()` Gets the number of the members in this `ColumnGroup`.

Methods inherited from interface oracle.dms.table.Name
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getType

    public java.lang.String getType()

  Gets the type of this `ColumnGroup`.
  Returns:
    the type of this `ColumnGroup`.
  Since:
    Oracle Application Server 10g (10.1.3)

### getDescription

    public java.lang.String getDescription()

  Gets the description of this `ColumnGroup`.
  Returns:
    the description of this `ColumnGroup`.
  Since:
    Oracle Application Server 10g (10.1.3)

### memberCount

    public int memberCount()

  Gets the number of the members in this `ColumnGroup`.
  Returns:
    the number of the members in this `ColumnGroup`.
  Since:
    Oracle Application Server 10g (10.1.3)

### getMemberType

    public java.lang.String getMemberType(java.lang.String name)

  Gets the type of the given memeber.
  Parameters:
    `name` - the name of the member.
  Returns:
    the type of the given memeber.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `enumerateMemberNames(boolean sorted)`

### containsMember

    public boolean containsMember(java.lang.String name)

  Returns `true` if this `ColumnGroup` contains the given member.
  Parameters:
    `name` - the name of the member.
  Returns:
    `true` if this `ColumnGroup` contains the given member.
  Since:
    Oracle Application Server 10g (10.1.3)

### enumerateMemberNames

    public java.util.Enumeration enumerateMemberNames(boolean sorted)

  Enumerates the names of the members in this `ColumnGroup`.
  Parameters:
    `sorted` - `true` enumerates the names of the members in the acsending order.
  Returns:
    `Enumeration` object for enumerating {the names of the members in this `ColumnGroup`.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `getMemberType(String name)`

### getMemberNames

    public java.lang.String[] getMemberNames()

  Returns an array of member names in this `ColumnGroup`.
  Returns:
    an array of member names in this `ColumnGroup`.
  Since:
    Oracle Application Server 10g (10.1.3)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.